# Class URLStreamHandlerProvider

java.lang.Object
java.net.spi.URLStreamHandlerProvider

All Implemented Interfaces:
  `URLStreamHandlerFactory`

public abstract class URLStreamHandlerProvider extends Object implements URLStreamHandlerFactory
URL stream handler service-provider class.

A URL stream handler provider is a concrete subclass of this class that has a zero-argument constructor. URL stream handler providers may be installed in an instance of the Java platform by adding them to the application class path.

A URL stream handler provider identifies itself with a provider-configuration file named java.net.spi.URLStreamHandlerProvider in the resource directory META-INF/services. The file should contain a list of fully-qualified concrete URL stream handler provider class names, one per line.

URL stream handler providers are located at runtime, as specified in the URL constructor.

Since:
  9

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`URLStreamHandlerProvider()`
Initializes a new URL stream handler provider.

## Method Summary

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

### Methods declared in interface URLStreamHandlerFactory

`createURLStreamHandler`
Modifier and Type
Method
Description
`URLStreamHandler`
`createURLStreamHandler(String protocol)`
Creates a new `URLStreamHandler` instance with the specified protocol.

## Constructor Details

### URLStreamHandlerProvider

protected URLStreamHandlerProvider()
Initializes a new URL stream handler provider.